Bug 162136 - [patch] fix incorrect uses of @dirrm %%PORTDOCS%%
[patch] fix incorrect uses of @dirrm %%PORTDOCS%%
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Chris Rees
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-29 03:30 UTC by 4720
Modified: 2011-11-13 17:40 UTC (History)
0 users

See Also:


Attachments
file.diff (9.51 KB, patch)
2011-10-29 03:30 UTC, 4720
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description 4720 2011-10-29 03:30:13 UTC
several ports use @dirrm %%PORTDOCS%%files. when NOPORTDOCS is set
%%PORTDOCS%% becomes @comment, which has to go at the beginning of the
packing list line or it will be treated as a nonexisting file.

@dirrm %%PORTDOCS%%%%DOCSDIR%%

pkg_delete: file '/usr/local/@comment share/doc/cyberbit-ttfonts' doesn't exist
pkg_delete: unable to completely remove directory '/usr/local/@comment share/doc/cyberbit-ttfonts'
pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)

Fix: attached patch replaces @dirrm %%PORTDOCS%%files with %%PORTDOCS%%@dirrm files.

Patch attached with submission follows:
Comment 1 utisoft 2011-10-30 20:53:55 UTC
Hey all,

One or two of your ports are being touched by ports/162136 because
they try to remove %%PORTDOCS%% even when NOPORTDOCS is set.

If you have any objections to the attached patch, please let me know
within 14 days.

Thanks!

Chris

http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/162136

List of ports:

cad/varkon
chinese/phpbb-tw
devel/crossvc
devel/libsigc++20
devel/ruby-wirble
games/ember
games/quake3-rq3
irc/eggdrop
irc/tr-ircd
japanese/ng-devel
math/ruby-algebra
multimedia/mpeg
multimedia/zoneminder
net-im/openfire-devel
security/IMHear
security/maia
textproc/hevea
x11-fonts/cyberbit-ttfonts
Comment 2 Chris Rees freebsd_committer 2011-10-30 20:54:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 3 Chris Rees freebsd_committer 2011-10-30 20:54:25 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 4 ek 2011-10-30 22:37:02 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Chris,

	I have absolutely no problem with this for security/maia.

Thanks,
Janky Jay, III

On 10/30/2011 02:53 PM, Chris Rees wrote:
> Hey all,
> 
> One or two of your ports are being touched by ports/162136 because 
> they try to remove %%PORTDOCS%% even when NOPORTDOCS is set.
> 
> If you have any objections to the attached patch, please let me
> know within 14 days.
> 
> Thanks!
> 
> Chris
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/162136
> 
> List of ports:
> 
> cad/varkon chinese/phpbb-tw devel/crossvc devel/libsigc++20 
> devel/ruby-wirble games/ember games/quake3-rq3 irc/eggdrop 
> irc/tr-ircd japanese/ng-devel math/ruby-algebra multimedia/mpeg 
> multimedia/zoneminder net-im/openfire-devel security/IMHear 
> security/maia textproc/hevea x11-fonts/cyberbit-ttfonts
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk6t0YkACgkQZ5znzUsaCyRiiACfc6sYuaY1Z06Nma+v8THgaDl+
YR0An3E9FB1CnVQf7eMz6uQCJDjywztp
=gaKt
-----END PGP SIGNATURE-----
Comment 5 Bo-Yi Wu 2011-10-31 01:49:59 UTC
Hi Chris,

I have absolutely no problem with chinese/phpbb-tw

--
# Name: Bo-Yi Wu
# Nick name:appleboy
# M.S National Chung Cheng University Electric Engineering
# Resume(C.V): http://blog.wu-boy.com/about/



On Mon, Oct 31, 2011 at 4:53 AM, Chris Rees <utisoft@gmail.com> wrote:

> Hey all,
>
> One or two of your ports are being touched by ports/162136 because
> they try to remove %%PORTDOCS%% even when NOPORTDOCS is set.
>
> If you have any objections to the attached patch, please let me know
> within 14 days.
>
> Thanks!
>
> Chris
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/162136
>
> List of ports:
>
> cad/varkon
> chinese/phpbb-tw
> devel/crossvc
> devel/libsigc++20
> devel/ruby-wirble
> games/ember
> games/quake3-rq3
> irc/eggdrop
> irc/tr-ircd
> japanese/ng-devel
> math/ruby-algebra
> multimedia/mpeg
> multimedia/zoneminder
> net-im/openfire-devel
> security/IMHear
> security/maia
> textproc/hevea
> x11-fonts/cyberbit-ttfonts
>
Comment 6 ginga-freebsd 2011-10-31 01:56:42 UTC
Thanks for refinement modification.
I definitely don't have any problem about japanese/ng-devel port!

Ginga

In Sun, Oct 30, 2011 at 08:53:55PM +0000,
Chris Rees <utisoft@gmail.com> wrote:

> Hey all,
> 
> One or two of your ports are being touched by ports/162136 because
> they try to remove %%PORTDOCS%% even when NOPORTDOCS is set.
> 
> If you have any objections to the attached patch, please let me know
> within 14 days.
> 
> Thanks!
> 
> Chris
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/162136
> 
> List of ports:
> 
> cad/varkon
> chinese/phpbb-tw
> devel/crossvc
> devel/libsigc++20
> devel/ruby-wirble
> games/ember
> games/quake3-rq3
> irc/eggdrop
> irc/tr-ircd
> japanese/ng-devel
> math/ruby-algebra
> multimedia/mpeg
> multimedia/zoneminder
> net-im/openfire-devel
> security/IMHear
> security/maia
> textproc/hevea
> x11-fonts/cyberbit-ttfonts
Comment 7 dfilter freebsd_committer 2011-11-13 17:33:56 UTC
crees       2011-11-13 17:33:47 UTC

  FreeBSD ports repository

  Modified files:
    cad/varkon           pkg-plist 
    chinese/phpbb-tw     pkg-plist 
    devel/crossvc        pkg-plist 
    devel/libsigc++20    pkg-plist 
    devel/ruby-wirble    pkg-plist 
    games/ember          pkg-plist 
    games/quake3-rq3     pkg-plist 
    irc/eggdrop          pkg-plist 
    irc/tr-ircd          pkg-plist 
    japanese/ng-devel    pkg-plist 
    math/ruby-algebra    pkg-plist 
    multimedia/mpeg      pkg-plist 
    multimedia/zoneminder pkg-plist 
    net-im/openfire-devel pkg-plist 
    security/IMHear      pkg-plist 
    security/maia        pkg-plist 
    textproc/hevea       pkg-plist 
    x11-fonts/cyberbit-ttfonts pkg-plist 
  Log:
  Make @dirrms conditional for %%DOCSDIR%% on NOPORTDOCS
  
  PR:             ports/162136
  Submitted by:   4720@hushmail.com
  Approved by:    [no rejections from any maintainer within 14 days]
  Feature safe:   yes
  
  Revision  Changes    Path
  1.6       +3 -3      ports/cad/varkon/pkg-plist
  1.7       +1 -1      ports/chinese/phpbb-tw/pkg-plist
  1.2       +4 -4      ports/devel/crossvc/pkg-plist
  1.28      +6 -6      ports/devel/libsigc++20/pkg-plist
  1.2       +1 -1      ports/devel/ruby-wirble/pkg-plist
  1.24      +1 -1      ports/games/ember/pkg-plist
  1.3       +8 -8      ports/games/quake3-rq3/pkg-plist
  1.9       +3 -3      ports/irc/eggdrop/pkg-plist
  1.6       +1 -1      ports/irc/tr-ircd/pkg-plist
  1.7       +1 -1      ports/japanese/ng-devel/pkg-plist
  1.9       +3 -3      ports/math/ruby-algebra/pkg-plist
  1.3       +1 -1      ports/multimedia/mpeg/pkg-plist
  1.5       +1 -1      ports/multimedia/zoneminder/pkg-plist
  1.2       +2 -2      ports/net-im/openfire-devel/pkg-plist
  1.2       +1 -1      ports/security/IMHear/pkg-plist
  1.4       +1 -1      ports/security/maia/pkg-plist
  1.12      +1 -1      ports/textproc/hevea/pkg-plist
  1.3       +1 -1      ports/x11-fonts/cyberbit-ttfonts/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Chris Rees freebsd_committer 2011-11-13 17:34:34 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!